import { Flags } from '@oclif/core';
import BuildHost from '../../lib/buildHost.js';
import BuildHostCommand from '../../lib/buildHost/buildHostCommand.js';
import StatusManager from '../../lib/statusManager.js';
export default class BuildHostProvision extends BuildHostCommand {
    static description = 'Create a Build Host in Kyndryl Cloud Uplift';
    static descriptionGerund = 'Creating Build Host in Kyndryl Cloud Uplift';
    static flags = {
        region: Flags.string({ char: 'r', description: 'Destination region for the Build Host', required: true })
    };
    requiresBuildHost = false;
    async runImpl() {
        StatusManager.startTask("Provisioning Build Host");
        const buildHost = await BuildHost.get();
        await buildHost.provision(this.parsedFlags.region);
    }
}
